package com.ruoyi.back.mapper;

import java.util.List;
import com.ruoyi.back.domain.PdEnrolldataEnterPre;

/**
 * 提前批Mapper接口
 * 
 * @author voluntary
 * @date 2022-12-09
 */
public interface PdEnrolldataEnterPreMapper 
{
    /**
     * 查询提前批
     * 
     * @param id 提前批主键
     * @return 提前批
     */
    public PdEnrolldataEnterPre selectPdEnrolldataEnterPreById(String id);

    /**
     * 查询提前批列表
     * 
     * @param pdEnrolldataEnterPre 提前批
     * @return 提前批集合
     */
    public List<PdEnrolldataEnterPre> selectPdEnrolldataEnterPreList(PdEnrolldataEnterPre pdEnrolldataEnterPre);

    /**
     * 新增提前批
     * 
     * @param pdEnrolldataEnterPre 提前批
     * @return 结果
     */
    public int insertPdEnrolldataEnterPre(PdEnrolldataEnterPre pdEnrolldataEnterPre);

    /**
     * 修改提前批
     * 
     * @param pdEnrolldataEnterPre 提前批
     * @return 结果
     */
    public int updatePdEnrolldataEnterPre(PdEnrolldataEnterPre pdEnrolldataEnterPre);

    /**
     * 删除提前批
     * 
     * @param id 提前批主键
     * @return 结果
     */
    public int deletePdEnrolldataEnterPreById(String id);

    /**
     * 批量删除提前批
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePdEnrolldataEnterPreByIds(String[] ids);
}
