package com.ruoyi.back.service;

import java.util.List;
import com.ruoyi.back.domain.PdEnrolldataEnterCollege;

/**
 * 院校线Service接口
 * 
 * @author voluntary
 * @date 2022-12-09
 */
public interface IPdEnrolldataEnterCollegeService 
{
    /**
     * 查询院校线
     * 
     * @param id 院校线主键
     * @return 院校线
     */
    public PdEnrolldataEnterCollege selectPdEnrolldataEnterCollegeById(String id);

    /**
     * 查询院校线列表
     * 
     * @param pdEnrolldataEnterCollege 院校线
     * @return 院校线集合
     */
    public List<PdEnrolldataEnterCollege> selectPdEnrolldataEnterCollegeList(PdEnrolldataEnterCollege pdEnrolldataEnterCollege);

    /**
     * 新增院校线
     * 
     * @param pdEnrolldataEnterCollege 院校线
     * @return 结果
     */
    public int insertPdEnrolldataEnterCollege(PdEnrolldataEnterCollege pdEnrolldataEnterCollege);

    /**
     * 修改院校线
     * 
     * @param pdEnrolldataEnterCollege 院校线
     * @return 结果
     */
    public int updatePdEnrolldataEnterCollege(PdEnrolldataEnterCollege pdEnrolldataEnterCollege);

    /**
     * 批量删除院校线
     * 
     * @param ids 需要删除的院校线主键集合
     * @return 结果
     */
    public int deletePdEnrolldataEnterCollegeByIds(String[] ids);

    /**
     * 删除院校线信息
     * 
     * @param id 院校线主键
     * @return 结果
     */
    public int deletePdEnrolldataEnterCollegeById(String id);
}
