export const localReq = [
  {
    "name": "local_1.1、处理提前批录取数据",
    "request": {
      "method": "GET",
      "header": [],
      "url": {
        "raw": "localhost:8089/processData/getPreEnter?location=安徽",
        "host": [
          "localhost"
        ],
        "port": "8089",
        "path": [
          "processData",
          "getPreEnter"
        ],
        "query": [
          {
            "key": "universityCode",
            "value": "10496",
            "disabled": true
          },
          {
            "key": "location",
            "value": "安徽"
          },
          {
            "key": null,
            "value": "江西",
            "disabled": true
          }
        ]
      }
    },
    "response": []
  },
  {
    "name": "local_1.1.1、处理提前批计划",
    "request": {
      "method": "GET",
      "header": [],
      "url": {
        "raw": "localhost:8089/processData/getPrePlan?years=2022,2021,2020&location=安徽",
        "host": [
          "localhost"
        ],
        "port": "8089",
        "path": [
          "processData",
          "getPrePlan"
        ],
        "query": [
          {
            "key": "universityCode",
            "value": "10349",
            "disabled": true
          },
          {
            "key": "location",
            "value": "湖北,江西,安徽",
            "disabled": true
          },
          {
            "key": "years",
            "value": "2022,2021,2020"
          },
          {
            "key": "location",
            "value": "安徽"
          }
        ]
      }
    },
    "response": []
  },
  {
    "name": "local_1.5、处理yzy院校库",
    "request": {
      "method": "GET",
      "header": [],
      "url": {
        "raw": "localhost:8089/processData/getUniversityList?pageIndex=1&pageSize=20&pageEnd=20000&isForceUpdateExist=false",
        "host": [
          "localhost"
        ],
        "port": "8089",
        "path": [
          "processData",
          "getUniversityList"
        ],
        "query": [
          {
            "key": "pageIndex",
            "value": "1"
          },
          {
            "key": "pageSize",
            "value": "20"
          },
          {
            "key": "pageEnd",
            "value": "20000"
          },
          {
            "key": "isForceUpdateExist",
            "value": "false"
          }
        ]
      }
    },
    "response": []
  },
  {
    "name": "local_1.6、处理yzy中PC投档线及招生计划",
    "request": {
      "method": "GET",
      "header": [],
      "url": {
        "raw": "localhost:8089/processData/processYzyPcData?count=1&isAgainLogin=false&dataTypes=college,plan,profession&locations=重庆&isIncrementalUpdate=false&isEncrypted=true",
        "host": [
          "localhost"
        ],
        "port": "8089",
        "path": [
          "processData",
          "processYzyPcData"
        ],
        "query": [
          {
            "key": "locations",
            "value": "湖南,湖北,江西,安徽,广东,广西,贵州,河南,重庆",
            "disabled": true
          },
          {
            "key": "collegeCodes",
            "value": "10006",
            "disabled": true
          },
          {
            "key": "count",
            "value": "1"
          },
          {
            "key": "isAgainLogin",
            "value": "false"
          },
          {
            "key": "dataTypes",
            "value": "college,plan,profession"
          },
          {
            "key": "locations",
            "value": "重庆"
          },
          {
            "key": "isIncrementalUpdate",
            "value": "false"
          },
          {
            "key": "account",
            "value": "12525",
            "disabled": true
          },
          {
            "key": "eduLevel",
            "value": "ben",
            "disabled": true
          },
          {
            "key": "isEncrypted",
            "value": "true"
          }
        ]
      }
    },
    "response": []
  },
]
