package com.ruoyi.back.mapper;

import java.util.List;
import java.util.Map;

import com.ruoyi.back.domain.BBusiWishUniversityMatchRecruitPlan;
import org.apache.ibatis.annotations.Param;

/**
 * 院校计划导入Mapper接口
 * 
 * @author voluntary
 * @date 2023-06-14
 */
public interface BBusiWishUniversityMatchRecruitPlanMapper 
{
    /**
     * 查询院校计划导入
     * 
     * @param id 院校计划导入主键
     * @return 院校计划导入
     */
    public BBusiWishUniversityMatchRecruitPlan selectBBusiWishUniversityMatchRecruitPlanById(Long id);

    /**
     * 查询院校计划导入列表
     * 
     * @param bBusiWishUniversityMatchRecruitPlan 院校计划导入
     * @return 院校计划导入集合
     */
    public List<BBusiWishUniversityMatchRecruitPlan> selectBBusiWishUniversityMatchRecruitPlanList(BBusiWishUniversityMatchRecruitPlan bBusiWishUniversityMatchRecruitPlan);

    public int batchInsert(@Param("list") List<BBusiWishUniversityMatchRecruitPlan> list);

    public int deleteBBusiWishUniversityMatchRecruitPlan(BBusiWishUniversityMatchRecruitPlan cond);
}
