package com.ruoyi.back.mapper;

import java.util.List;
import com.ruoyi.back.domain.PdEnrolldataEnterProfession;

/**
 * 专业线Mapper接口
 * 
 * @author voluntary
 * @date 2022-12-09
 */
public interface PdEnrolldataEnterProfessionMapper 
{
    /**
     * 查询专业线
     * 
     * @param id 专业线主键
     * @return 专业线
     */
    public PdEnrolldataEnterProfession selectPdEnrolldataEnterProfessionById(String id);

    /**
     * 查询专业线列表
     * 
     * @param pdEnrolldataEnterProfession 专业线
     * @return 专业线集合
     */
    public List<PdEnrolldataEnterProfession> selectPdEnrolldataEnterProfessionList(PdEnrolldataEnterProfession pdEnrolldataEnterProfession);

    /**
     * 新增专业线
     * 
     * @param pdEnrolldataEnterProfession 专业线
     * @return 结果
     */
    public int insertPdEnrolldataEnterProfession(PdEnrolldataEnterProfession pdEnrolldataEnterProfession);

    /**
     * 修改专业线
     * 
     * @param pdEnrolldataEnterProfession 专业线
     * @return 结果
     */
    public int updatePdEnrolldataEnterProfession(PdEnrolldataEnterProfession pdEnrolldataEnterProfession);

    /**
     * 删除专业线
     * 
     * @param id 专业线主键
     * @return 结果
     */
    public int deletePdEnrolldataEnterProfessionById(String id);

    /**
     * 批量删除专业线
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePdEnrolldataEnterProfessionByIds(String[] ids);
}
