package com.ruoyi.back.mapper;

import com.ruoyi.back.domain.PdDirectionManual;
import com.ruoyi.back.domain.PdMarjorMatchData;
import com.ruoyi.back.domain.PdMarjorMatchRecord;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * matchMapper接口
 * 
 * @author voluntary
 * @date 2023-05-10
 */
public interface PdMarjorMatchDataMapper {
    Integer selectNewGaokao(@Param("location") String location, @Param("year") Integer year);

    List<PdMarjorMatchData> selectPlanMatchedList(@Param("newGaoKao") Boolean newGaoKao, @Param("location") String location, @Param("planYear") Integer planYear, @Param("year") Integer year, @Param("planId") Integer planId, @Param("matchCount") Integer matchCount, @Param("cnt") Integer cnt);
    List<PdMarjorMatchData> selectMatchedList(@Param("newGaoKao") Boolean newGaoKao, @Param("location") String location, @Param("planYear") Integer planYear, @Param("year") Integer year, @Param("planId") Integer planId, @Param("matchCount") Integer matchCount, @Param("cnt") Integer cnt);

    List<PdMarjorMatchData> selectUnmatchedList(@Param("newGaoKao") Boolean newGaoKao, @Param("location") String location, @Param("planYear") Integer planYear, @Param("year") Integer year, @Param("planId") Integer planId, @Param("cnt") Integer cnt);

    void insertGroupSubmitBatch(@Param("list") List<PdMarjorMatchRecord> records);

    void updatePlanGroupBatch(@Param("list") List<PdMarjorMatchRecord> records);

    void updateGroupSubmitBatch(@Param("list") List<PdMarjorMatchRecord> records);

    void deleteGroupSubmitByLoc(@Param("location") String location);

}
