package com.ruoyi.processdata.service;

import java.util.List;
import com.ruoyi.processdata.domain.PdProfessionStatistical;

/**
 * 专业线版本统计Service接口
 * 
 * @author voluntarydata
 * @date 2023-05-18
 */
public interface IPdProfessionStatisticalService 
{
    /**
     * 查询专业线版本统计
     * 
     * @param id 专业线版本统计主键
     * @return 专业线版本统计
     */
    public PdProfessionStatistical selectPdProfessionStatisticalById(Long id);

    /**
     * 查询专业线版本统计列表
     * 
     * @param pdProfessionStatistical 专业线版本统计
     * @return 专业线版本统计集合
     */
    public List<PdProfessionStatistical> selectPdProfessionStatisticalList(PdProfessionStatistical pdProfessionStatistical);

    /**
     * 新增专业线版本统计
     * 
     * @param pdProfessionStatistical 专业线版本统计
     * @return 结果
     */
    public int insertPdProfessionStatistical(PdProfessionStatistical pdProfessionStatistical);

    /**
     * 修改专业线版本统计
     * 
     * @param pdProfessionStatistical 专业线版本统计
     * @return 结果
     */
    public int updatePdProfessionStatistical(PdProfessionStatistical pdProfessionStatistical);

    /**
     * 批量删除专业线版本统计
     * 
     * @param ids 需要删除的专业线版本统计主键集合
     * @return 结果
     */
    public int deletePdProfessionStatisticalByIds(Long[] ids);

    /**
     * 删除专业线版本统计信息
     * 
     * @param id 专业线版本统计主键
     * @return 结果
     */
    public int deletePdProfessionStatisticalById(Long id);
}
